
Mit meinen Freunden habe ich schon länger eine Messenger-Gruppe in der wir alle möglichen Links, hauptsächlich zu technischen Themen, sammeln.
Diese Art der Speicherung ist natürlich nicht wirklich vorteilhaft, da sie sehr unstrukturiert ist.

Daher ergibt sich die Idee für den Programmentwurf: Die Messenger-Gruppe soll einen Bot enthalten, der automatisch alle Links, die in die Gruppe geschickt werden speichert. Zur besseren Organisation soll es außerdem möglich sein, Kategorien anzulegen und die Links diesen zuzuordnen, wie beispielsweise 'Libary', 'Selfhostable', 'Dienst' usw. Zusätzlich soll der Bot auch Tags zu Links hinzufügen können, wenn er die Webseite beispielsweise bereits kennt (z.B. 'Github'). Der User, welcher einen Eintrag angelegt hat soll auch gespeichert werden.

Die Anwendung soll Persistenz enthalten sowie verschiedene Methoden zum Durchsuchen (nach Kategorie, User) und Exportieren der Daten.

Die Implementierung soll zuerst in Form eines CLI erfolgen, die Anbindung des Messengers Signal dann entweder durch eine Libary in der Plugin Schicht oder mit einem Skript, dass die Nachrichten an das Programm weiterleitet. Dieser Aspekt sollte ja für die Bewertung des Programmentwurfs nicht relevant sein, zum Testen der Anwendung sollte auch das CLI ausreichen. 
